Package relaxngcc.builder

## Class TransitionTable

- java.lang.Object
- - relaxngcc.builder.TransitionTable

-     public class TransitionTable
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TransitionTable.Entry` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransitionTable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(State s, Alphabet alphabet, Transition action)` |
    `void` | `addEverythingElse​(State s, Transition action)` |
    `Transition` | `getEverythingElse​(State s)` | Gets the transition associated to EVERYTHING_ELSE alphabet in the given state if any.
    `TransitionTable.Entry[]` | `list​(State s)` | Lists all entries of the transition table with the specified state in terms of TrnasitionTable.Entry.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransitionTable

          public TransitionTable()

  - ### Method Detail

    - #### add

          public void add​(State s,
                          Alphabet alphabet,
                          Transition action)

    - #### addEverythingElse

          public void addEverythingElse​(State s,
                                        Transition action)

    - #### getEverythingElse

          public Transition getEverythingElse​(State s)

      Gets the transition associated to EVERYTHING_ELSE alphabet in the given state if any. Or null.

    - #### list

          public TransitionTable.Entry[] list​(State s)

      Lists all entries of the transition table with the specified state in terms of TrnasitionTable.Entry. The resulting array is sorted in the order of Transition.